DefaultDependencyArtifactDescriptor
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.module.descriptor
Class DefaultDependencyArtifactDescriptor

    java.lang.Object
      org.apache.ivy.util.extendable.UnmodifiableExtendableItem
          org.apache.ivy.core.module.descriptor.DefaultDependencyArtifactDescriptor

All Implemented Interfaces:
  ConfigurationAware, DependencyArtifactDescriptor, ExtendableItem

    public class DefaultDependencyArtifactDescriptor

extends UnmodifiableExtendableItem
implements DependencyArtifactDescriptor, ConfigurationAware

Constructor Summary
`DefaultDependencyArtifactDescriptor(DependencyDescriptor dd, java.lang.String name, java.lang.String type, java.lang.String ext, java.net.URL url, java.util.Map extraAttributes)`

Method Summary
`void` | `addConfiguration(java.lang.String conf)` Add a configuration for this artifact.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String[]` | `getConfigurations()` Returns the configurations of the module in which the artifact is asked
`DependencyDescriptor` | `getDependencyDescriptor()` Returns the dependency descriptor in which this dependency artifact descriptor is declared.
`java.lang.String` | `getExt()` Returns the ext of the artifact asked
`java.lang.String` | `getName()` Returns the name of the artifact asked
`java.lang.String` | `getType()` Returns the type of the artifact asked
`java.net.URL` | `getUrl()` Returns the url to look this artifact at
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ivy.util.extendable.UnmodifiableExtendableItem
`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes, setExtraAttribute, setStandardAttribute`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ivy.util.extendable.ExtendableItem
`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes`

Constructor Detail

### DefaultDependencyArtifactDescriptor

    public DefaultDependencyArtifactDescriptor(DependencyDescriptor dd,
                                               java.lang.String name,
                                               java.lang.String type,
                                               java.lang.String ext,
                                               java.net.URL url,
                                               java.util.Map extraAttributes)

Parameters:
  `dd` -
  `name` -
  `type` -
  `url` -

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### addConfiguration

    public void addConfiguration(java.lang.String conf)

  Add a configuration for this artifact.

  Specified by:
    `addConfiguration` in interface `ConfigurationAware`
  Parameters:
    `conf` -

### getDependencyDescriptor

    public DependencyDescriptor getDependencyDescriptor()

  Description copied from interface: `DependencyArtifactDescriptor`
  Returns the dependency descriptor in which this dependency artifact descriptor is declared.

  Specified by:
    `getDependencyDescriptor` in interface `DependencyArtifactDescriptor`
  Returns:
    the dependency descriptor in which this dependency artifact descriptor is declared.

### getName

    public java.lang.String getName()

  Description copied from interface: `DependencyArtifactDescriptor`
  Returns the name of the artifact asked

  Specified by:
    `getName` in interface `DependencyArtifactDescriptor`
  Returns:

### getType

    public java.lang.String getType()

  Description copied from interface: `DependencyArtifactDescriptor`
  Returns the type of the artifact asked

  Specified by:
    `getType` in interface `DependencyArtifactDescriptor`
  Returns:

### getExt

    public java.lang.String getExt()

  Description copied from interface: `DependencyArtifactDescriptor`
  Returns the ext of the artifact asked

  Specified by:
    `getExt` in interface `DependencyArtifactDescriptor`
  Returns:

### getConfigurations

    public java.lang.String[] getConfigurations()

  Description copied from interface: `DependencyArtifactDescriptor`
  Returns the configurations of the module in which the artifact is asked

  Specified by:
    `getConfigurations` in interface `ConfigurationAware`
  Specified by:
    `getConfigurations` in interface `DependencyArtifactDescriptor`
  Returns:
    an array of configuration names in which the artifact is asked

### getUrl

    public java.net.URL getUrl()

  Description copied from interface: `DependencyArtifactDescriptor`
  Returns the url to look this artifact at

  Specified by:
    `getUrl` in interface `DependencyArtifactDescriptor`
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD